HomeworldSpeaker = Actor{name = "homeworld-speaker"}
local doonce = true

function HomeworldSpeaker:init()
    local state = self.state
	self.state.doonce = true
end

--Actions to perform on every tick
function HomeworldSpeaker:tick( dt )
    -- Update with the same timing as the homeworld portal
    --if ModuloTimer(homeworld_config.portal.update_interval) then
		self.state.doonce = false
		current_needs = Homeworld:get_needs()
        local entity = self.state.entity
        local mycontrol = entity.get_control_behavior()
		local output = {}
		local index = 1
	    for _, need in ipairs(current_needs) do
            if not need.max_per_day then --Used once items
                needforday = need.count - Homeworld:count_item(need.item)
            else --Consumed per day based on population
                needforday = need.max_per_day - Homeworld:count_item(need.item)
 			end
			local signal = {type = "item", name = need.item}
			local row = {index = index, count = math.floor(needforday), signal = signal}
			table.insert(output, row)
			index = index + 1
		end
	    mycontrol.parameters = {parameters = output}
 	--end
end

--Set circuit output to the items we need
--Moved to on-tick because accessing self doesn't work here.
function HomeworldSpeaker:set_circuit_output()
    PrintToAllPlayers("TICKED2")
    if doonce then
	    PrintToAllPlayers("OFF")
		doonce = false
		current_needs = Homeworld:get_needs()
		game.write_file("mylog.log", serpent.block(current_needs))
	    for _, need in ipairs(current_needs) do
		    --This outputs the item name and how many are needed per portal send.
			--Useful, but I think I'd prefer it to be max per day instead of just the next sending
	        --moreneeded = Homeworld:get_need_item_count(need,homeworld_config.portal.update_interval)
            --game.write_file("mylog.log", serpent.block({need["item"]," ",moreneeded}),true)
			needforday = need.max_per_day - Homeworld:count_item(need.item)
			game.write_file("mylog.log", serpent.block(needforday),true)
	    end
		return
	end
    local entity = self.state.entity
    local output = {}
    local index = 1
    for item, per in pairs(throughput) do
        local signal = {type = "item", name = item}
        local row = {index = index, count = math.floor(per), signal = signal}
        table.insert(output, row)
        index = index + 1
    end
	--get_control_behavior is what i beleive gets the constantcombinator/lamp controls needed for these to work now
    mycontrol.set_circuit_condition(2, {parameters = output})
	--PrintToAllPlayers(entity.help())
end
